Page MenuHomePhabricator

Turn on AMC outreach modal
Closed, ResolvedPublic2 Estimated Story Points

Description

Background

In T226068 we built a modal encouraging users to try out AMC mode on their phones. Now we would like to turn it on.

Acceptance criteria

  • Turn on outreach modal on all projects with AMC for editors with 100+ edits on August 28th, 2019

Signoff criteria

  • Set up task to turn this off 2 weeks after deployment

Developer notes

See https://gerrit.wikimedia.org/r/531303 for how we enabled this on BC

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2019, 3:04 PM
ovasileva triaged this task as High priority.Aug 26 2019, 3:04 PM

needs a dev to document what the required config change would be.

ovasileva updated the task description. (Show Details)Aug 27 2019, 4:26 PM
Jdlrobson updated the task description. (Show Details)Aug 27 2019, 4:27 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptAug 27 2019, 4:27 PM
ovasileva set the point value for this task to 2.Aug 27 2019, 4:28 PM
Niedzielski updated the task description. (Show Details)Aug 27 2019, 4:29 PM
ovasileva updated the task description. (Show Details)Aug 27 2019, 4:29 PM

Change 532957 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Enable AMC Outreach modal

https://gerrit.wikimedia.org/r/532957

Change 532957 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AMC Outreach modal

https://gerrit.wikimedia.org/r/532957

Mentioned in SAL (#wikimedia-operations) [2019-08-28T11:16:50Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 622cb63: Enable AMC Outreach modal (T231206) (duration: 00m 54s)

pmiazga added a subscriber: pmiazga.

Task to disable this feature in two weeks is tracked in T231436: Turn off AMC outreach modal

pmiazga updated the task description. (Show Details)Aug 28 2019, 12:10 PM

This caused a massive rise in production errors because T231014 hadn't been back-ported to wmf.19. Fixing now.

@Jdforrester-WMF sorry for the trouble. Thanks for the fix. Do you need any help with that?

ovasileva closed this task as Resolved.Aug 30 2019, 3:38 PM
ovasileva claimed this task.

Looks like we're all done here - task for removing is created. Resolving. Thanks @pmiazga!